Add content to a bundle
POST /api/bundles/{bundleId}/items. Add content to a bundle. Headless LMS Content API reference.
Requires bundles:write. Everyone who holds the bundle can open the content from then on. Returns the bundle's content.
Path Parameters
bundleId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/bundles/string/items" \ -H "Content-Type: application/json" \ -d '{ "contentId": "string" }'[ { "orgId": "string", "bundleId": "string", "contentId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}